投稿日:2004年08月26日 作成鷹の巣

No.17123 Win2000+Apache2+PHP4.3.7でPHPのGDライブラリが使用できない。



Win2000+Apache2+PHP4.3.7でPHPのGDライブラリが使用できない。

No.17123 投稿時間:2004年08月26日(Thu) 16:40 投稿者名:うみ URL:

いつもお世話になっています。
Win2000+Apache2+PHP4.3.7で構築しております。
GDを使おうと思ってphp.iniの
extension=php_gd2.dllのコメントアウトを外し、
extension_dir = "c:/PHP/extensions/"
としましたが、クライアントからPHPファイルを実行すると
Unknown(): Unable to load dynamic library 'c:/php/extensions/php_gd2.dll' - 指定されたモジュールが見つかりません。
というダイアログボックスが出てしまいます。
綴りやファイルパスなど確認したのですが間違っていませんし、該当するファイルもc:\php\extensionsにあります。
ファイルを別な場所に変えてみたのですが状況はまったく変わらず困っています。
もう一台別なマシンで試したところ、同じ設定でまったく問題なくGDが使えるようになっています。
別なマシンはWin2000+AN HTTPD+PHP4.3.2です。
同じような現象で悩んだ経験があるかたいらっしゃらないでしょうか?
よろしくお願いいたします。


バカらしい確認ですが。

No.17128 投稿時間:2004年08月26日(Thu) 21:37 投稿者名:Reboot URL:

php.iniの書き換え後、「指定されたモジュールが見つかりません。」
と出るサーバで、Apache2 を再起動しましたか。
php のバージョンによっては、extension_dir が extensions で
なくて ext になっています。

多分 php.ini ファイルへの単純な記述ミスだと思います。


おっしゃるようにphp.iniの設定っぽいです。

No.17135 投稿時間:2004年08月27日(Fri) 11:16 投稿者名:うみ URL:

いやーもうわけがわかんなくなったので、動いてるほうのPHPを一式もってきました。
確かにRebootさんのおっしゃるようにphp.iniの設定っぽいです。
バージョンが古くはなってしまいましたが、テストサーバーと本サーバーみたいに使えるかなーなんて。。。
なんて前向き>俺(^^;

どうもありがとうございました。


|目次|掲示板|過去ログ目次|▲頁先頭|